

library ieee;
use ieee.std_logic_1164.all;

entity if4archi is port (clk_clk           : in  std_logic;
		d7segments_export : out std_logic_vector(27 downto 0); 
		buttons_export    : in  std_logic_vector(7 downto 0);
		rs232_rxd         : in  std_logic;
		rs232_txd         : out std_logic);
end entity;
architecture arch_if4 of if4archi is 
component niosprocesseur 
	port (
		clk_clk           : in  std_logic                     := '0';             --        clk.clk
		reset_reset_n     : in  std_logic                     := '0';             --      reset.reset_n
		d7segments_export : out std_logic_vector(27 downto 0);                    -- d7segments.export
		buttons_export    : in  std_logic_vector(7 downto 0)  := (others => '0'); --    buttons.export
		rs232_rxd         : in  std_logic                     := '0';             --      rs232.rxd
		rs232_txd         : out std_logic                                         --           .txd
	);
end component;


begin

inst_p : niosprocesseur port map (clk_clk=>clk_clk,
		reset_reset_n=>'1',
		d7segments_export=> d7segments_export,
		buttons_export =>buttons_export,
		rs232_rxd  =>rs232_rxd,
		rs232_txd =>rs232_txd );
end architecture;